Bug 187147 - [PATCH] graphics/imlib2: fix X11 dependency
Summary: [PATCH] graphics/imlib2: fix X11 dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-28 17:30 UTC by Dmitry Marakasov
Modified: 2014-03-29 14:10 UTC (History)
1 user (show)

See Also:


Attachments
imlib2-1.4.6.patch (496 bytes, patch)
2014-02-28 17:30 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2014-02-28 17:30:03 UTC
When imlib2's configure is run with --without-x, it adds #define
X_DISPLAY_MISSING into config.h and this X11 functionality is not
compiled it.

However, config.h is only used when imlib2 itself is build, and is
never installed, so after installation X_DISPLAY_MISSING is not
defined, which introduces hidden dependency on libX11, as to compile
Imlib2.h, you still need X11/Xlib.h

The patch attached fixes this by removing X11-related blocks in the
header completely when X11 option is disabled.

Port maintainer (bf@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.02.18 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2014-02-28 17:30:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-03-29 14:00:45 UTC
Author: amdmi3
Date: Sat Mar 29 14:00:42 2014
New Revision: 349510
URL: http://svnweb.freebsd.org/changeset/ports/349510
QAT: https://qat.redports.org/buildarchive/r349510/

Log:
  - Remove hidden dependency on X11 when built with X11 disabled
  
  PR:		187147
  Submitted by:	amdmi3
  Approved by:	maintainer timeout

Modified:
  head/graphics/imlib2/Makefile

Modified: head/graphics/imlib2/Makefile
==============================================================================
--- head/graphics/imlib2/Makefile	Sat Mar 29 13:57:35 2014	(r349509)
+++ head/graphics/imlib2/Makefile	Sat Mar 29 14:00:42 2014	(r349510)
@@ -4,6 +4,7 @@
 PORTNAME=	imlib2
 PORTVERSION=	1.4.6
 PORTEPOCH=	2
+PORTREVISION=	1
 CATEGORIES=	graphics enlightenment
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	enlightenment/imlib2-src/${PORTVERSION}
@@ -98,8 +99,9 @@ PLIST_SUB+=	ID3="@comment "
 .if ! ${PORT_OPTIONS:MX11}
 post-patch:
 	@${REINPLACE_CMD} -e '/MY_LIBS =/s/-lXext -lX11//' \
-	${WRKSRC}/src/lib/Makefile.in
-
+		${WRKSRC}/src/lib/Makefile.in
+	@${REINPLACE_CMD} -e '/# ifndef X_DISPLAY_MISSING/,/# endif/ d' \
+		${WRKSRC}/src/lib/Imlib2.h
 .endif
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Dmitry Marakasov freebsd_committer 2014-03-29 14:09:02 UTC
State Changed
From-To: open->closed

Committed. Thanks!